# $Revision: 1.110 $, $Date: 2011/10/07 10:15:23 $
#
# Conditional build:
%bcond_without	tex	# don't build tex documentation
#
%include	/usr/lib/rpm/macros.perl
%define		pari_version		2.3.5
%define		gp2c_version		0.0.5pl9
%define		math_pari_version	2.01080604
Summary:	Number Theory-oriented Computer Algebra System
Summary(pl.UTF-8):	Komputerowy system obliczeń algebraicznych zorientowany na metody teorii liczb
Name:		parigp
Version:	%{pari_version}
Release:	4
License:	GPL
Group:		Applications/Math
Source0:	ftp://megrez.math.u-bordeaux.fr/pub/pari/unix/pari-%{pari_version}.tar.gz
# Source0-md5:	6077c6db56fdd32e39a06a9bf320e1f7
Source1:	ftp://megrez.math.u-bordeaux.fr/pub/pari/galdata.tgz
# Source1-md5:	25eab5f9dfdb8715b9ace8cd68210425
Source2:	ftp://megrez.math.u-bordeaux.fr/pub/pari/GP2C/gp2c-%{gp2c_version}.tar.gz
# Source2-md5:	746811f01af37b463a4bf3e981e5ea55
Source3:	http://search.cpan.org/CPAN/authors/id/I/IL/ILYAZ/modules/Math-Pari-%{math_pari_version}.tar.gz
# Source3-md5:	27f5999671fe2a29cfd2e8c8a1f9308e
Source4:	%{name}.desktop
Source5:	%{name}.png
Patch0:		%{name}-target_arch.patch
Patch1:		%{name}-termcap.patch
Patch2:		%{name}-arch.patch
Patch3:		%{name}-no-proccpuinfo.patch
Patch4:		perl-Math-Pari-crash-workaround.patch
URL:		http://pari.math.u-bordeaux.fr/
BuildRequires:	autoconf
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-perlprov >= 3.0.3-16
%if %{with tex}
%if "%{pld_release}" != "th"
BuildRequires:	tetex
BuildRequires:	tetex-amstex
BuildRequires:	tetex-csplain
BuildRequires:	tetex-dvips
BuildRequires:	tetex-fonts-cm
BuildRequires:	tetex-format-plain
BuildRequires:	tetex-format-pdflatex
BuildRequires:	tetex-format-pdftex
BuildRequires:	tetex-pdftex
BuildRequires:	tetex-tex-babel
BuildRequires:	tetex-tex-ruhyphen
BuildRequires:	texconfig
%else
BuildRequires:	texlive
BuildRequires:	texlive-amstex
BuildRequires:	texlive-csplain
BuildRequires:	texlive-dvips
BuildRequires:	texlive-fonts-cm
BuildRequires:	texlive-format-pdflatex
BuildRequires:	texlive-plain
BuildRequires:	texlive-pdftex
BuildRequires:	texlive-tex-babel
BuildRequires:	texlive-tex-ruhyphen
%endif
%endif
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-util-imake
Requires:	pari = %{pari_version}-%{release}
Requires:	xdvi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PARI/GP is a package which is aimed at efficient computations in
number theory, but also contains a large number of other useful
functions. It is somewhat related to a Computer Algebra System, but is
not really one since it treats symbolic expressions as mathematical
entities such as matrices, polynomials, series, etc..., and not as
expressions per se. However it is often much faster than other CAS,
and contains a large number of specific functions not found elsewhere,
essentially for use in number theory.

%description -l pl.UTF-8
System PARI/GP jest przeznaczony do wydajnych obliczeń z zakresu
teorii liczb, ale zawiera również inne przydatne funkcje. Jest nieco
spokrewniony z Komputerowymi Systemami Algebraicznymi, ale nie
identyczny, ponieważ traktuje wyrażenia symboliczne jako obiekty
matematyczne (macierze, wielomiany, szeregi itp.) a nie jako wyrażenia
same w sobie. Jest jednak często znacznie szybszy od innych KSA-ów a
ponadto zawiera wiele innych funkcji nie spotykanych gdzie indziej, a
przydatnych zwłaszcza w teorii liczb.

%package -n pari
Summary:	Shared PARI library (required by the parigp package)
Summary(pl.UTF-8):	Biblioteka współdzielona PARI (wymagana przez pakiet parigp)
Group:		Libraries

%description -n pari
Shared PARI library. You need it to run PARI/GP.

%description -n pari -l pl.UTF-8
Biblioteka współdzielona PARI. Potrzebujesz jej do uruchomienia
PARI/GP.

%package -n pari-devel
Summary:	Include files for PARI shared library
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki współdzielonej PARI
Group:		Development/Libraries
Requires:	pari = %{pari_version}-%{release}

%description -n pari-devel
Include files for shared PARI library. You need them to use PARI
routines in you own programs.

%description -n pari-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki współdzielonej PARI. Będziesz ich
potrzebował, jeżeli będziesz chciał wykorzystywać procedury PARI w
swoich programach.

%package -n pari-static
Summary:	Static PARI library
Summary(pl.UTF-8):	Statyczna biblioteka PARI
Group:		Development/Libraries
Requires:	pari-devel = %{pari_version}-%{release}

%description -n pari-static
Static PARI library. You need it to statically link your programs with
PARI.

%description -n pari-static -l pl.UTF-8
Biblioteka statyczna PARI. Potrzebujesz jej do konsolidowania
statycznego swoich programów korzystających z biblioteki PARI.

%package demos
Summary:	Example PARI/GP scripts
Summary(pl.UTF-8):	Przykładowe skrypty pisane w języku PARI/GP
Group:		Applications/Math
Requires:	%{name} = %{pari_version}-%{release}

%description demos
Example PARI/GP scripts. You can write such programs on your own.

%description demos -l pl.UTF-8
Przykładowe skrypty pisane w języku PARI/GP. Sam możesz takie napisać.

%package galdata
Summary:	Galois data resolvents for PARI/GP
Summary(pl.UTF-8):	Reprezentacje danych Galois fla PARI/GP
Group:		Applications/Math
Requires:	%{name} = %{pari_version}-%{release}

%description galdata
Galois data resolvents for PARI/GP.

%description galdata -l pl.UTF-8
Reprezentacje danych Galois do PARI/GP.

%package gp2c
Summary:	PARI/GP to C translator
Summary(pl.UTF-8):	Konwerter skryptów PARI/GP do języka C
Version:	%{gp2c_version}
Epoch:		1
Group:		Development/Tools
Requires:	pari-devel = %{pari_version}-%{release}
Requires:	%{name} = %{pari_version}-%{release}

%description gp2c
PARI/GP to C translator. Use it to compile your own C programs which
use pari library, without necessarily being a C programmer. Note: use
gp2c-run to run your programs inside the PARI/GP environment.

%description gp2c -l pl.UTF-8
Konwerter skryptów PARI/GP do języka C. Można nim tworzyć własne
programy w C korzystające z biblioteki pari. Znajomość języka C nie
jest wymagana. Uwaga: do uruchamiania programów w środowisku PARI/GP
należy używać gp2c-run.

%package -n xemacs-parigp-mode-pkg
Summary:	PARI/GP mode for Octave
Summary(pl.UTF-8):	Tryb edycji plików PARI/GP do XEmacsa
Group:		Applications/Editors/Emacs
Requires:	xemacs

%description -n xemacs-parigp-mode-pkg
PARI/GP editing mode for Xemacs.

%description -n xemacs-parigp-mode-pkg -l pl.UTF-8
Tryb edycji plików PARI/GP do Xemacsa.

%package -n perl-Math-Pari
Summary:	Math-Pari perl module
Summary(pl.UTF-8):	Moduł perla Math-Pari
Version:	%{math_pari_version}
Group:		Development/Languages/Perl

%description -n perl-Math-Pari
The Perl interface to the PARI part of GP/PARI.

%description -n perl-Math-Pari -l pl.UTF-8
Interfejs Perla do biblioteki PARI.

%prep
%setup -q -n pari-%{pari_version} -a 2 -a 3
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
# pari & parigp
./Configure \
	--target=%{_target_cpu} \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysdatadir=%{_libdir}/parigp \
	--datadir=%{_datadir}/parigp \
	--share-prefix=%{_datadir}

%{__make} -C Olinux-%{_target_cpu} all \
	CFLAGS="%{rpmcflags} -fno-strict-aliasing -fomit-frame-pointer -fPIC"

%{?with_tex:%{__make} -C doc docpdf}
src/make_vi_tags src
%ifarch %{ix86}
ln -s Olinux-%{_target_cpu} Olinux-ix86
%endif
%ifarch sparc sparc64
# allow building sparc package on sparc64
ln -s Olinux-sparc Olinux-sparc64
%endif

# gp2c
cd gp2c-%{gp2c_version}

ln -sf .. pari
%{__autoconf}
%configure \
	--datadir=%{_datadir}/parigp

%{__make}
%{?with_tex:%{__make} -C doc docall}

cd ..

# math-pari
cd Math-Pari-%{math_pari_version}

%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

# %{__make} test

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/parigp/galdata,%{_examplesdir}/parigp} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

# parigp, pari & pari-devel
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/tags $RPM_BUILD_ROOT%{_datadir}/parigp/misc
install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE5} $RPM_BUILD_ROOT%{_pixmapsdir}

# pari-static
install Olinux-%{_target_cpu}/libpari.a $RPM_BUILD_ROOT%{_libdir}/libpari.a

# parigp-demos
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/parigp

# galdata
tar zxvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/parigp/galdata

# xemacs-parigp-mode-pkg
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/parigp-mode
cp -a emacs/*.el $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/parigp-mode
cat <<EOF >$RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/parigp-mode/auto-autoloads.el
(autoload 'gp-mode "pari" nil t)
(autoload 'gp-script-mode "pari" nil t)
(autoload 'gp "pari" nil t)
(autoload 'gpman "pari" nil t)
EOF

# gp2c
%{__make} install -C gp2c-%{gp2c_version} \
	DESTDIR=$RPM_BUILD_ROOT

# math-pari
%{__make} install -C Math-Pari-%{math_pari_version} \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/pari.1
echo ".so gp.1" > $RPM_BUILD_ROOT%{_mandir}/man1/pari.1

rm -rf $RPM_BUILD_ROOT%{_datadir}/parigp/{examples,doc}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -n pari -p /sbin/ldconfig
%postun -n pari -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS Announce* CHANGES COMPAT MACHINES NEW README
%doc examples/Inputrc
%{?with_tex:%doc doc/*.pdf}
%attr(755,root,root) %{_bindir}/gp-2.3
%attr(755,root,root) %{_bindir}/gp
%attr(755,root,root) %{_bindir}/gphelp
%attr(755,root,root) %{_bindir}/tex2mail
%dir %{_datadir}/parigp
%{_datadir}/parigp/misc
%{_datadir}/parigp/pari.desc
%{_mandir}/man1/[!g]*.1*
%{_mandir}/man1/gp.1*
%{_mandir}/man1/gp-*.1*
%{_mandir}/man1/gphelp.1*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%files -n pari
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpari.so.*.*
%ghost %attr(755,root,root) %{_libdir}/libpari.so.2

%files -n pari-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpari.so
%{_includedir}/pari

%files -n pari-static
%defattr(644,root,root,755)
%{_libdir}/libpari.a

%files demos
%defattr(644,root,root,755)
%doc examples/EXPLAIN
%{_examplesdir}/parigp

%files galdata
%defattr(644,root,root,755)
%{_datadir}/parigp/galdata

%files -n xemacs-parigp-mode-pkg
%defattr(644,root,root,755)
%doc emacs/pariemacs.txt
%{_datadir}/xemacs-packages/lisp/*

%files gp2c
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gp2c*
%doc gp2c-%{gp2c_version}/{AUTHORS,ChangeLog,NEWS,README,BUGS,doc/*.{html,png}}
%{?with_tex:%doc gp2c-%{gp2c_version}/doc/gp2c.pdf}
%{_datadir}/parigp/gp2c
%{_mandir}/man1/gp2c*.1*

%files -n perl-Math-Pari
%defattr(644,root,root,755)
%doc Math-Pari-%{math_pari_version}/{Changes,README,TODO}
%{perl_vendorarch}/Math/*.pm
%dir %{perl_vendorarch}/auto/Math/Pari
%{perl_vendorarch}/auto/Math/Pari/Pari.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Pari/Pari.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: parigp.spec,v $
Revision 1.110  2011/10/07 10:15:23  lisu
- rel 4

Revision 1.109  2010/11/25 11:45:08  hawk
- missing tetext BRs for Titanium

Revision 1.108  2010/11/25 11:09:50  hawk
- for time being use tetex deps in Titanium

Revision 1.107  2010/06/12 19:13:31  baggins
- rel 1

Revision 1.106  2010/06/12 19:09:46  baggins
- more tex BR

Revision 1.105  2010/06/12 19:07:03  baggins
- restored target_arch patch
- cleaned up tex docs build and install
- updated files

Revision 1.104  2010/06/12 17:14:57  baggins
- new perl-Math-Pari source URL

Revision 1.103  2010/06/12 17:05:37  baggins
- updated pari to 2.3.5
- gp2c 0.0.5pl9
- perl-Math-Pari 2.01080604
- removed obsolete patches

Revision 1.102  2009/11/03 12:23:48  baggins
- added perl module warning

Revision 1.101  2009/11/03 11:57:07  baggins
- rel 7
- s/tetex/texlive/

Revision 1.100  2009/11/03 08:11:30  baggins
- updated perl module to 2.010804

Revision 1.99  2009/05/16 16:15:12  hawk
- release 6

Revision 1.98  2009/03/14 23:17:13  hawk
- updated perl-Math-Pari to 2.010801, fixes build error

Revision 1.97  2008/07/27 10:36:50  arekm
- release 4

Revision 1.96  2008-01-12 20:39:15  qboosh
- sorted BRs

Revision 1.95  2007-11-21 21:46:00  hawk
- modular xorg deps, release 3

Revision 1.94  2007-09-06 15:49:35  baggins
- rel 2

Revision 1.93  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.92  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.91  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.90  2005/10/21 23:44:45  qboosh
- updated parigp to 2.1.7, gp2c to 0.0.4pl2, Math-Pari to 2.010604
- updated -no-proccpuinfo,perl-Math-Pari-crash-workaround.patch patches

Revision 1.89  2005/09/17 11:55:06  arekm
- new readline, 5.0

Revision 1.88  2005/01/21 23:38:24  qboosh
- updated pari to 2.1.6, gp2c to 0.0.3pl4, perl-Math-Pari to 2.010603
- updated -sparc,-no-proccpuinfo,perl-Math-Pari-crash-workaround patches

Revision 1.87  2005/01/21 09:57:40  roman
- updated gp2c to version 0.0.3pl2
- STBR

Revision 1.86  2004/11/14 11:19:55  roman
- fixed a typo

Revision 1.85  2004/11/02 10:45:25  ankry
- get rid of .pod documentation, rel. 4

Revision 1.84  2004/10/25 22:27:45  qboosh
- cosmetics

Revision 1.83  2004/10/25 11:36:57  paladine
- "HTML" and "Perl" unification

Revision 1.82  2004/05/15 19:29:23  qboosh
- added perl-Math-Pari-crash-workaround patch (big ugly hack); release 3

Revision 1.81  2004/03/06 08:45:36  qboosh
- release 2

Revision 1.80  2004/03/05 23:29:48  qboosh
- pass --libdir (for lib64 support)

Revision 1.79  2004/03/05 19:40:48  qboosh
- added no-proccpuinfo patch, updated sparc patch; test release 1.2

Revision 1.78  2004/03/05 18:37:14  qboosh
- bugfix

Revision 1.77  2004/03/05 18:34:58  qboosh
- switched to desktopdir, removed obsolete Math-Pari-alpha patch
- same release for gp2c, strict internal deps

Revision 1.76  2004/03/05 15:16:30  qboosh
- updated URL (pointed by Roman Werpachowski)

Revision 1.75  2004/02/08 23:38:39  undefine
- update gp2c to 0.0.3pl0,math_pari to 2.010501, release 1.1

Revision 1.74  2003/12/13 09:51:27  speedy
- added -fPIC to CFLAGS (shared library problem)

Revision 1.73  2003/10/29 18:16:28  migo
- new bcond style
- bconded tex BRs

Revision 1.72  2003/10/25 11:40:30  qboosh
- updated: pari 2.1.5, Math::Pari 2.010500, gp2c 0.0.2pl5
- updated sparc patch

Revision 1.71  2003/09/09 10:24:24  ankry
- spaces -> tab

Revision 1.70  2003/08/18 08:08:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.69  2003/06/18 09:40:16  ankry
- md5

Revision 1.68  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.67  2003/03/02 00:26:23  radek
- updated BRs for the new tex; it doesn't work anyway, so I have also
  created a _without_tex bcond (should work)
- updated for perl-5.8.0; _should_ work...
- release 7, untested: build fails on attempt to access /proc/cpuinfo

Revision 1.66  2003/02/18 15:25:17  ankry
- massive attack: change CPAN URLs

Revision 1.65  2002/11/14 21:39:31  qboosh
- -gp2c release must be up too (use plain release for now...)

Revision 1.64  2002/11/14 10:48:45  qboosh
- removed duplicated man pages, release 6

Revision 1.63  2002/11/13 12:51:05  roman
- upgraded gp2c to 0.0.2pl3 version
- created independent Version number for parigp-gp2c package to allow independent package upgrade of parigp and parigp-gp2c
- added Epoch: 1 to parigp-gp2c package
- added some docs to parigp-gp2c
- changed Release number for the main package from 4 to 5 due to file conflicts

Revision 1.62  2002/10/29 01:33:54  ankry
- move desktop to Scientific/Mathematics, cleaning, rel. 4

Revision 1.61  2002/09/11 22:19:48  qboosh
- treat athlon as x86, not generic (athlon patch)

Revision 1.60  2002/09/05 13:34:31  qboosh
- fixed build on sparc (gcc -E on *.S doesn't define __GNUC__, on *.c and stdin does)
- release 3

Revision 1.59  2002/08/05 21:52:36  ankry
- kill assumtion that alpha = OSF1 (Math-Pari-alpha.patch) in perl-Math-Pari
- release 2, STBR

Revision 1.58  2002/07/22 09:53:16  ankry
- nasty hack: added -arch patch and a softlink to avoid problems with
  ix86 arch recognizing; STBR

Revision 1.57  2002/07/20 17:52:32  qboosh
- updated pari to 2.1.4, Math::Pari to 2.010305
- fixed perl subpackage (version, OPTIMIZE, file list)

Revision 1.56  2002/06/04 14:12:42  roman
- added /usr/bin/gp2c-run script to parigp-gp2c
- raised Release number from 1 to 2

Revision 1.55  2002/05/21 23:14:20  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.54  2002/05/17 11:04:43  roman
- updated to 2.1.3
- fixed %doc path in %files section of perl-Math-Pari subpackage
- removed typemap from %doc section of perl-Math-Pari subpackage (zero informational value)

Revision 1.53  2002/05/15 10:12:38  roman
- moved gzipping docs to %build

Revision 1.52  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.51  2002/04/11 14:08:48  qboosh
- really separated galdata; release 5

Revision 1.50  2002/03/22 11:38:24  roman
- raised release number due to a bugfix
- STBR

Revision 1.49  2002/03/22 11:37:35  roman
- small fix; Math-Pari[whatever].tgz is no longer in /usr/X11R6/share/applnk/Scientific

Revision 1.48  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/01/18 20:13:28  qboosh
- standarized changelog preample

Revision 1.46  2002/01/11 23:33:28  qboosh
- release 3: fixed pari(1) man link

Revision 1.45  2002/01/03 00:30:40  kloczek
- release 2: Icon for desktop file changed to 48x48 png pixmap.

Revision 1.44  2002/01/02 16:33:50  kloczek
- removed obsoleted patches.

Revision 1.43  2001/12/31 11:23:29  jk
added perl-Math-Pari
upgrade to pari-2.1.2

Revision 1.42  2001/10/31 21:21:49  qboosh
- termcap patch: removed stupid ncurses/termcap detection
  (not needed; not ready for libtinfo; caused linking with libtermcap if found)
- fixed configure in gp2c (BuildRequires: autoconf)
- release 6

Revision 1.41  2001/08/11 10:51:26  roman
- reverted last change

Revision 1.40  2001/08/11 10:47:17  roman
- a small error in %files -n pari-devel:
%%{_libdir}/libpari.so.*.* --> %%{_libdir}/libpari.so.*.*.*

Revision 1.39  2001/07/19 17:23:53  roman
- %%{__install} --> install

Revision 1.38  2001/06/01 22:06:54  kloczek
- release 5.

Revision 1.37  2001/06/01 22:03:58  qboosh
- added missing libpari.so symlink to pari-devel
- added galdata pl summary based on pl description
- removed unnecessary doc/*.gz from %%doc ("file not found")

Revision 1.36  2001/05/29 00:28:09  kloczek
- typo.

Revision 1.35  2001/05/28 22:02:30  kloczek
- anothet %install fix.

Revision 1.34  2001/05/28 18:41:26  kloczek
- two typos in %install.

Revision 1.33  2001/05/28 18:07:42  kloczek
- fix in %install.

Revision 1.32  2001/05/28 14:33:41  kloczek
- release 4.

Revision 1.31  2001/05/28 13:38:59  roman
- added desktop file and an icon

Revision 1.30  2001/05/21 16:32:50  kloczek
- release 3: more work on CLK_TCL patch (roman).

Revision 1.29  2001/05/21 07:33:46  kloczek
- release 2.

Revision 1.28  2001/05/21 07:25:05  roman
- added parigp-CLK_TCK.patch

Revision 1.27  2001/05/16 13:40:52  kloczek
- cosmetics.

Revision 1.26  2001/05/10 12:14:32  roman
- upgraded to 2.1.1 version of pari
- upgraded gp2c to 0.0.0pl6 version
- some %files cosmetics
- STBR

Revision 1.25  2001/04/25 11:02:42  kloczek
- added using %%{rpmcflags} macro.

Revision 1.24  2001/04/25 10:13:44  roman
- upgraded gp2c to 0.0.0pl5
- raised release number

Revision 1.23  2001/04/25 09:28:26  roman
- removed /usr/share/man/man1/pari.1 symlink from %files

Revision 1.22  2001/03/09 10:13:10  roman
- removed misc/*.gz and src/*.gz from parigp package %files section

Revision 1.20  2001/03/08 09:39:35  roman
- upgraded gp2c to 0.0.0pl3
- raised release number to 3

Revision 1.19  2001/02/23 11:09:32  roman
- added building VIM tags file

Revision 1.18  2001/02/23 08:25:53  roman
- definitely added tetex-pdftex to BuildRequires

Revision 1.17  2001/02/21 22:09:44  kloczek
- fix passing $RPM_OPT_FLAGS.

Revision 1.16  2001/02/21 21:36:00  kloczek
- remove xemacs from BuildRequires (isn't neccessary).

Revision 1.15  2001/02/21 21:33:28  kloczek
- move all BuildRequires to spec preamble.

Revision 1.14  2001/02/21 21:14:22  kloczek
- added tetex-pdftex to BuildRequires.

Revision 1.13  2001/02/21 20:15:35  kloczek
- removed macro %%{name} from Icon.

Revision 1.12  2001/02/21 18:29:58  kloczek
- adapterized.

Revision 1.11  2001/02/21 08:13:05  roman
- added gp2c package (GP to C conversion utility)
- fixed a typo
- raised release number from 1 to 2

Revision 1.9  2000/12/05 23:13:57  klakier
- xemacs files fixes

Revision 1.8  2000/12/05 13:05:03  roman
 - removed xemacs from BuildRequires
 - parigp-static no longer builds
 - pari-static build

Revision 1.7  2000/12/05 10:23:08  dobrek
- Added BuildReq: tetex-ams

Revision 1.6  2000/12/05 10:09:22  dobrek
- cosmetics. SOURCE1 changed

Revision 1.5  2000/12/05 10:03:54  roman
- minor cosmetics in package descriptions

Revision 1.4  2000/12/05 09:32:34  kloczek
- more cosmetics.

Revision 1.3  2000/12/05 09:29:44  kloczek
- uncommented emacs subpackage,
- removed Vendor field,
- few other cosmetics changes.

Revision 1.2  2000/12/05 09:23:23  kloczek
- adapterized only.

Revision 1.1  2000/12/05 08:41:42  roman
- initial release
- emacs files (now included in parigp package as docs) need some work
